# stream.cpp File Reference

`#include <boost/assign/list_inserter.hpp>`
`#include <boost/assign/std/vector.hpp>`
`#include <saga/saga/context.hpp>`
`#include <saga/saga/stream.hpp>`
`#include <saga/impl/stream.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`
`#include <saga/saga/detail/monitorable_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::stream
namespace | saga::stream::metrics
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SAGA_NO_IMPORT_MONITORABLE

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SAGA_NO_IMPORT_MONITORABLE